# make sure the following variable is present somewhere in the project tree 
# variables:
    # VERACODE_API_ID   
    # VERACODE_API_SECRET
    # VERACODE_FILEPATH     should be added to build.env in build stage
    # APP_NAME    name of app in veracode
    # VERSION     should be generated in build.env
veracode_upload_and_scan:
  image: veracode/api-wrapper-java:latest
  stage: upload_and_scan
  when: manual
  dependencies:
    - build
  script:
    - java -jar /opt/veracode/api-wrapper.jar -vid ${VERACODE_API_ID} -vkey ${VERACODE_API_SECRET}
      -action UploadAndScan -appname "$APP_NAME" -createprofile false
      -filepath $VERACODE_FILEPATH -autoscan true -version "Commit $CI_PROJECT_NAME:$VERSION ${CI_COMMIT_SHA:0:8} - Job ${CI_JOB_ID}"
  allow_failure: true